complexType "CommoditySwap"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 11 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 8 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | productType+, productId*, assetClass+, effectiveDate, terminationDate, (fixedLeg? | floatingLeg? | coalPhysicalLeg? | electricityPhysicalLeg? | gasPhysicalLeg? | oilPhysicalLeg?)[2..2]
</...>

Content Model Elements (11):

  assetClass, coalPhysicalLeg, effectiveDate (in commoditySwap), electricityPhysicalLeg, fixedLeg (in commoditySwap), floatingLeg, | gasPhysicalLeg, oilPhysicalLeg, productId, productType, terminationDate (in commoditySwap)

All Direct / Indirect Based Elements (1):

  commoditySwap

Known Usage Locations

- As direct type of elements (1):
  commoditySwap

Annotation
Commodity Swap.
Type Definition Detail

Type Derivation Tree Product (extension) CommoditySwap

XML Source (w/o annotations (9); see within schema source)

<xsd:complexType name="CommoditySwap"> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element name="effectiveDate" type="AdjustableOrRelativeDate"/> <xsd:element name="terminationDate" type="AdjustableOrRelativeDate"/> <xsd:choice maxOccurs="2" minOccurs="2"> <xsd:element minOccurs="0" name="fixedLeg" type="FixedPriceLeg"/> <xsd:element minOccurs="0" name="floatingLeg" type="FloatingPriceLeg"/> <xsd:element minOccurs="0" name="coalPhysicalLeg" type="CoalPhysicalLeg"/> <xsd:element minOccurs="0" name="electricityPhysicalLeg" type="ElectricityPhysicalLeg"/> <xsd:element minOccurs="0" name="gasPhysicalLeg" type="GasPhysicalLeg"/> <xsd:element minOccurs="0" name="oilPhysicalLeg" type="OilPhysicalLeg"/> </xsd:choice> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 8/11)
coalPhysicalLeg

  Type: | CoalPhysicalLeg, complex content

  Physically settled coal leg.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="coalPhysicalLeg" type="CoalPhysicalLeg"/>

effectiveDate

  Type: | AdjustableOrRelativeDate, complex content

  Specifies the effective date of this leg of the swap. When defined in relation to a date specified somewhere else in the document (through the relativeDate component), this element will typically point to the effective date of the other leg of the swap.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="effectiveDate" type="AdjustableOrRelativeDate"/>

electricityPhysicalLeg

  Type: | ElectricityPhysicalLeg, complex content

  Physically settled electricity leg.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="electricityPhysicalLeg" type="ElectricityPhysicalLeg"/>

fixedLeg

  Type: | FixedPriceLeg, complex content

  Fixed Price Leg.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fixedLeg" type="FixedPriceLeg"/>

floatingLeg

  Type: | FloatingPriceLeg, complex content

  Floating Price leg.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="floatingLeg" type="FloatingPriceLeg"/>

gasPhysicalLeg

  Type: | GasPhysicalLeg, complex content

  Physically settled natural gas leg.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="gasPhysicalLeg" type="GasPhysicalLeg"/>

oilPhysicalLeg

  Type: | OilPhysicalLeg, complex content

  Physically settled oil or refined products leg.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="oilPhysicalLeg" type="OilPhysicalLeg"/>

terminationDate

  Type: | AdjustableOrRelativeDate, complex content

  Specifies the termination date of this leg of the swap. When defined in relation to a date specified somewhere else in the document (through the relativeDate component), this element will typically point to the termination date of the other leg of the swap.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="terminationDate" type="AdjustableOrRelativeDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.